<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:18 PST 2005 -->
<TITLE>
: Package org.eclipse.wst.rdb.internal.models.sql.datatypes
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-use.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/util/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/impl/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<H2>
Package org.eclipse.wst.rdb.internal.models.sql.datatypes
</H2>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Interface Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="ApproximateNumericDataType.html"><I>ApproximateNumericDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Approximate Numeric Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="ArrayDataType.html"><I>ArrayDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Array Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="AttributeDefinition.html"><I>AttributeDefinition</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Attribute Definition</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="BinaryStringDataType.html"><I>BinaryStringDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Binary String Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="BooleanDataType.html"><I>BooleanDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Boolean Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="CharacterSet.html"><I>CharacterSet</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Character Set</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="CharacterStringDataType.html"><I>CharacterStringDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Character String Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="CollectionDataType.html"><I>CollectionDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Collection Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="ConstructedDataType.html"><I>ConstructedDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Constructed Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="DataLinkDataType.html"><I>DataLinkDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Data Link Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="DataType.html"><I>DataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="DateDataType.html"><I>DateDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Date Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="DistinctUserDefinedType.html"><I>DistinctUserDefinedType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Distinct User Defined Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="Domain.html"><I>Domain</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Domain</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="ExactNumericDataType.html"><I>ExactNumericDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Exact Numeric Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="Field.html"><I>Field</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Field</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="FixedPrecisionDataType.html"><I>FixedPrecisionDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Fixed Precision Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="IntegerDataType.html"><I>IntegerDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Integer Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="IntervalDataType.html"><I>IntervalDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Interval Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="MultisetDataType.html"><I>MultisetDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Multiset Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="NumberDataType.html"><I>NumberDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Number Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="NumericalDataType.html"><I>NumericalDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Numerical Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="PredefinedDataType.html"><I>PredefinedDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Predefined Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="ReferenceDataType.html"><I>ReferenceDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Reference Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="RowDataType.html"><I>RowDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Row Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="SQLDataType.html"><I>SQLDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>SQL Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="SQLDataTypesFactory.html"><I>SQLDataTypesFactory</I></A></B></TD>
<TD><!-- begin-user-doc -->
 The <b>Factory</b> for the model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="SQLDataTypesPackage.html"><I>SQLDataTypesPackage</I></A></B></TD>
<TD><!-- begin-user-doc -->
 The <b>Package</b> for the model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="StructuredUserDefinedType.html"><I>StructuredUserDefinedType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Structured User Defined Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="TimeDataType.html"><I>TimeDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Time Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="UserDefinedType.html"><I>UserDefinedType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>User Defined Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="UserDefinedTypeOrdering.html"><I>UserDefinedTypeOrdering</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>User Defined Type Ordering</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="XMLDataType.html"><I>XMLDataType</I></A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the model object '<em><b>XML Data Type</b></em>'.</TD>
</TR>
</TABLE>
&nbsp;

<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Class Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="CoercibilityType.html">CoercibilityType</A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Coercibility Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="IntegrityControlOption.html">IntegrityControlOption</A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Integrity Control Option</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="IntervalQualifierType.html">IntervalQualifierType</A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Interval Qualifier Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="LinkControlOption.html">LinkControlOption</A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Link Control Option</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="OrderingCategoryType.html">OrderingCategoryType</A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Ordering Category Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="OrderingType.html">OrderingType</A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Ordering Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="PrimitiveType.html">PrimitiveType</A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Primitive Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="ReadPermissionOption.html">ReadPermissionOption</A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Read Permission Option</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="UnlinkOption.html">UnlinkOption</A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Unlink Option</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="WritePermissionOption.html">WritePermissionOption</A></B></TD>
<TD><!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Write Permission Option</b></em>',
 and utility methods for working with them.</TD>
</TR>
</TABLE>
&nbsp;

<P>
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-use.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/util/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/impl/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
